
import objectdraw.*;
import java.awt.*;

public class Events extends FrameWindowController {

    // glass location and dimensions
    private static final Location GLASS_UPPER_LEFT = new Location(150, 100);
    private static final int GLASS_WIDTH = 80;
    private static final int GLASS_HEIGHT = 200;

    // the glass
    private WaterGlass myGlass;

    // create a Glass
    public void begin() {
        myGlass = new WaterGlass(GLASS_UPPER_LEFT, GLASS_WIDTH, GLASS_HEIGHT, canvas);
    }

    // if the user presses the mouse inside the glass, "fill" 
    // the glass with water up to the point where they pressed
    public void onMousePress(Location point) {
        if (myGlass.contains(point)) {
            myGlass.setWaterLevel(point.getY());
        }
    }

    // "empty" the glass of all water
    public void onMouseExit(Location point) {
        myGlass.emptyGlass();
    }

    // as long as the mouse is inside the glass, reset the water
    // level so that the water comes up to the point where the
    // mouse is
    public void onMouseDrag(Location point) {
        if (myGlass.contains(point)) {
            myGlass.setWaterLevel(point.getY());
        }
    }

}
